&routine dc
&rem **** convert USGS .GZ files to coverages

&define file -1 &var
&define name -2 &var

&goto usage &if &eq "x[file]" "x"
&open [file] error
&while &do
   &read [name] [break]

   &type "Uncompressing and parsing [name].GZ..."

   &rem **** change 80 to 144 when processing DLG-3 standard format

   & GZIP -acd [name].GZ | pars 80 > t$temp.dlg

   &type "Converting to coverage [name]..."

   &rem **** the following line assumes optional DLG-3 format
   &rem **** and all other arguments at default

   DLGOARC t$temp.dlg [name]

   &rem **** the following line would process standard files with
   &rem **** a y-shift of -3200000

   &rem DLGSARC t$temp.dlg [name] # # # # -3200000

   &rem **** build coverage as line if ACODE is present

   &if &info [name].ACODE &do
      BUILD [name] LINE
      JOINITEM [name].AAT [name].ACODE [name].AAT [name]_ID [name]_ID
   &end

   &rem **** clean coverage if PCODE is present

   &if &info [name].PCODE &do
      CLEAN [name]
      JOINITEM [name].PAT [name].PCODE [name].PAT [name]_ID [name]_ID
   &end

   &rem **** name projection file after coverage and delete temp DLG

   & REN t$temp.prj [name].prj
   & DEL t$temp.dlg
&end
&close 1
&return

&label usage
&delim < >
&type "Usage:  &r DC [file]"
&type " "
&type "        [file] = list of files to convert"
&type "                 (assumes .GZ extension)"
&delim [ ]
&return

&label error
&type "Error opening [file]"
&return

